.plot-container {
    position: relative;
}

.line-plot {
    width: 100%;
    height: auto;
    display: block;
}

.scatter-dot {
    cursor: pointer;
    transition: r 0.1s, fill 0.1s;
}

.scatter-dot:hover {
    r: 6; /* Increase size on hover */
    fill: var(--c4); /* Change color on hover */
}

.modal {
  display: none;
  position: absolute;
  z-index: 1;
  left: 0;
  top: 0;
}

.modal-content {
  display: inline-block;
  background-color: var(--c2);
  padding: 10px;
  border: 1px solid var(--c1);
  border-radius: 4px;
  width: 200px;
  text-align: center;
}

.modalTitle {
    font-weight: bold;
    margin-bottom: 5px;
}

.modalText {
    overflow: hidden;
    word-break: break-all;
}
